# Makefile.in generated by automake 1.15 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@



VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@

# conditionally recurse only if we build the test suite
@BUILD_TESTS_TRUE@am__append_1 = tests

# conditionally recurse only if we build the benchmarks suite
@BUILD_BENCHMARKS_TRUE@am__append_2 = bench
@BUILD_GOBJECT_TRUE@am__append_3 = graphene-gobject.h
@BUILD_GOBJECT_TRUE@am__append_4 = graphene-gobject.c
@BUILD_WITH_SSE2_TRUE@am__append_5 = $(SSE2_CFLAGS)
@BUILD_WITH_ARM_NEON_TRUE@am__append_6 = $(NEON_CFLAGS)
@BUILD_GOBJECT_TRUE@am__append_7 = graphene-gobject-1.0.pc
@BUILD_GOBJECT_TRUE@am__append_8 = graphene-gobject-1.0.pc
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@am__append_9 = identfilter.py
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@am__append_10 = $(nodist_gir_DATA) \
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@	$(nodist_typelib_DATA)
subdir = src
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/build/autotools/ax_pthread.m4 \
	$(top_srcdir)/build/autotools/glibtests.m4 \
	$(top_srcdir)/build/autotools/graphene-macros.m4 \
	$(top_srcdir)/build/autotools/gtk-doc.m4 \
	$(top_srcdir)/build/autotools/introspection.m4 \
	$(top_srcdir)/build/autotools/libtool.m4 \
	$(top_srcdir)/build/autotools/ltoptions.m4 \
	$(top_srcdir)/build/autotools/ltsugar.m4 \
	$(top_srcdir)/build/autotools/ltversion.m4 \
	$(top_srcdir)/build/autotools/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am \
	$(am__grapheneinclude_HEADERS_DIST) $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = graphene-version.h
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(girdir)" \
	"$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(typelibdir)" \
	"$(DESTDIR)$(grapheneincludedir)" \
	"$(DESTDIR)$(configexecincludedir)" \
	"$(DESTDIR)$(grapheneincludedir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
am__DEPENDENCIES_1 =
am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
libgraphene_1_0_la_DEPENDENCIES = $(am__DEPENDENCIES_2)
am__libgraphene_1_0_la_SOURCES_DIST = graphene-box.h graphene-euler.h \
	graphene-frustum.h graphene-macros.h graphene-matrix.h \
	graphene-plane.h graphene-point.h graphene-point3d.h \
	graphene-quad.h graphene-quaternion.h graphene-ray.h \
	graphene-rect.h graphene-simd4f.h graphene-simd4x4f.h \
	graphene-size.h graphene-sphere.h graphene-vec2.h \
	graphene-vec3.h graphene-vec4.h graphene-triangle.h \
	graphene-types.h graphene-version-macros.h graphene-gobject.h \
	graphene-alloc-private.h graphene-line-segment-private.h \
	graphene-private.h graphene-vectors-private.h graphene-alloc.c \
	graphene-box.c graphene-euler.c graphene-frustum.c \
	graphene-matrix.c graphene-plane.c graphene-point.c \
	graphene-point3d.c graphene-quad.c graphene-quaternion.c \
	graphene-ray.c graphene-rect.c graphene-simd4f.c \
	graphene-simd4x4f.c graphene-size.c graphene-sphere.c \
	graphene-triangle.c graphene-vectors.c graphene-gobject.c \
	graphene-config-stamp
am__objects_1 =
am__objects_2 = $(am__objects_1) $(am__objects_1)
am__objects_3 = $(am__objects_1)
@BUILD_GOBJECT_TRUE@am__objects_4 =  \
@BUILD_GOBJECT_TRUE@	libgraphene_1_0_la-graphene-gobject.lo
am__objects_5 = libgraphene_1_0_la-graphene-alloc.lo \
	libgraphene_1_0_la-graphene-box.lo \
	libgraphene_1_0_la-graphene-euler.lo \
	libgraphene_1_0_la-graphene-frustum.lo \
	libgraphene_1_0_la-graphene-matrix.lo \
	libgraphene_1_0_la-graphene-plane.lo \
	libgraphene_1_0_la-graphene-point.lo \
	libgraphene_1_0_la-graphene-point3d.lo \
	libgraphene_1_0_la-graphene-quad.lo \
	libgraphene_1_0_la-graphene-quaternion.lo \
	libgraphene_1_0_la-graphene-ray.lo \
	libgraphene_1_0_la-graphene-rect.lo \
	libgraphene_1_0_la-graphene-simd4f.lo \
	libgraphene_1_0_la-graphene-simd4x4f.lo \
	libgraphene_1_0_la-graphene-size.lo \
	libgraphene_1_0_la-graphene-sphere.lo \
	libgraphene_1_0_la-graphene-triangle.lo \
	libgraphene_1_0_la-graphene-vectors.lo $(am__objects_1) \
	$(am__objects_4)
am_libgraphene_1_0_la_OBJECTS = $(am__objects_2) $(am__objects_3) \
	$(am__objects_5) $(am__objects_1) $(am__objects_1)
libgraphene_1_0_la_OBJECTS = $(am_libgraphene_1_0_la_OBJECTS)
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
am__v_lt_1 = 
libgraphene_1_0_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(libgraphene_1_0_la_CFLAGS) $(CFLAGS) \
	$(libgraphene_1_0_la_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.@am__isrc@
depcomp = $(SHELL) $(top_srcdir)/build/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_@AM_V@)
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_@AM_V@)
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libgraphene_1_0_la_SOURCES)
DIST_SOURCES = $(am__libgraphene_1_0_la_SOURCES_DIST)
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(nodist_gir_DATA) $(nodist_pkgconfig_DATA) \
	$(nodist_typelib_DATA)
am__grapheneinclude_HEADERS_DIST = graphene-box.h graphene-euler.h \
	graphene-frustum.h graphene-macros.h graphene-matrix.h \
	graphene-plane.h graphene-point.h graphene-point3d.h \
	graphene-quad.h graphene-quaternion.h graphene-ray.h \
	graphene-rect.h graphene-simd4f.h graphene-simd4x4f.h \
	graphene-size.h graphene-sphere.h graphene-vec2.h \
	graphene-vec3.h graphene-vec4.h graphene-triangle.h \
	graphene-types.h graphene-version-macros.h graphene-gobject.h \
	graphene.h
HEADERS = $(grapheneinclude_HEADERS) \
	$(nodist_configexecinclude_HEADERS) \
	$(nodist_grapheneinclude_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	distdir
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
	$(LISP)config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(srcdir)/graphene-version.h.in $(srcdir)/graphene.pc.in \
	$(top_srcdir)/build/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BASE_CFLAGS = @BASE_CFLAGS@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
GLIB_CFLAGS = @GLIB_CFLAGS@
GLIB_LIBS = @GLIB_LIBS@
GLIB_PREFIX = @GLIB_PREFIX@
GRAPHENE_API_VERSION = @GRAPHENE_API_VERSION@
GRAPHENE_CFLAGS = @GRAPHENE_CFLAGS@
GRAPHENE_DEBUG_CFLAGS = @GRAPHENE_DEBUG_CFLAGS@
GRAPHENE_GOBJECT_CFLAGS = @GRAPHENE_GOBJECT_CFLAGS@
GRAPHENE_GOBJECT_LIBS = @GRAPHENE_GOBJECT_LIBS@
GRAPHENE_LDFLAGS = @GRAPHENE_LDFLAGS@
GRAPHENE_LIBS = @GRAPHENE_LIBS@
GRAPHENE_MAJOR_VERSION = @GRAPHENE_MAJOR_VERSION@
GRAPHENE_MICRO_VERSION = @GRAPHENE_MICRO_VERSION@
GRAPHENE_MINOR_VERSION = @GRAPHENE_MINOR_VERSION@
GRAPHENE_RELEASE_STATUS = @GRAPHENE_RELEASE_STATUS@
GRAPHENE_REQS = @GRAPHENE_REQS@
GRAPHENE_SIMD = @GRAPHENE_SIMD@
GRAPHENE_VERSION = @GRAPHENE_VERSION@
GREP = @GREP@
GTKDOC_CHECK = @GTKDOC_CHECK@
GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
GTKDOC_MKPDF = @GTKDOC_MKPDF@
GTKDOC_REBASE = @GTKDOC_REBASE@
HTML_DIR = @HTML_DIR@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBM = @LIBM@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
LTP = @LTP@
LTP_GENHTML = @LTP_GENHTML@
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
NEON_CFLAGS = @NEON_CFLAGS@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
PTHREAD_CC = @PTHREAD_CC@
PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
PTHREAD_LIBS = @PTHREAD_LIBS@
PYTHON3_PATH = @PYTHON3_PATH@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SHTOOL = @SHTOOL@
SSE2_CFLAGS = @SSE2_CFLAGS@
SSE2_LDFLAGS = @SSE2_LDFLAGS@
STRIP = @STRIP@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
ax_pthread_config = @ax_pthread_config@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
installed_test_metadir = @installed_test_metadir@
installed_testdir = @installed_testdir@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@

# preamble
NULL = 
BUILT_SOURCES = graphene-config-stamp
CLEANFILES = $(ASM_FILES) $(am__append_10)

# pkg-config files
EXTRA_DIST = graphene-version.h.in graphene.pc.in $(am__append_9)

# config header

# version header
DISTCLEANFILES = graphene-config-stamp graphene-config.h \
	graphene-version.h graphene-1.0.pc $(am__append_8)
lib_LTLIBRARIES = libgraphene-1.0.la
DIST_SUBDIRS = . tests bench

# always build this directory before building the tests suite
SUBDIRS = . $(am__append_1) $(am__append_2)

# source
source_h = graphene-box.h graphene-euler.h graphene-frustum.h \
	graphene-macros.h graphene-matrix.h graphene-plane.h \
	graphene-point.h graphene-point3d.h graphene-quad.h \
	graphene-quaternion.h graphene-ray.h graphene-rect.h \
	graphene-simd4f.h graphene-simd4x4f.h graphene-size.h \
	graphene-sphere.h graphene-vec2.h graphene-vec3.h \
	graphene-vec4.h graphene-triangle.h graphene-types.h \
	graphene-version-macros.h $(NULL) $(am__append_3)
source_c = graphene-alloc.c graphene-box.c graphene-euler.c \
	graphene-frustum.c graphene-matrix.c graphene-plane.c \
	graphene-point.c graphene-point3d.c graphene-quad.c \
	graphene-quaternion.c graphene-ray.c graphene-rect.c \
	graphene-simd4f.c graphene-simd4x4f.c graphene-size.c \
	graphene-sphere.c graphene-triangle.c graphene-vectors.c \
	$(NULL) $(am__append_4)
source_h_priv = \
	graphene-alloc-private.h \
	graphene-line-segment-private.h \
	graphene-private.h \
	graphene-vectors-private.h \
	$(NULL)

source_c_priv = 
configexecincludedir = $(libdir)/graphene-1.0/include
nodist_configexecinclude_HEADERS = graphene-config.h
shared_cflags = $(GRAPHENE_CFLAGS) $(MAINTAINER_CFLAGS) \
	$(am__append_5) $(am__append_6)
shared_libadd = $(GRAPHENE_LIBS)

# main library
libgraphene_1_0_la_CPPFLAGS = \
	-DGRAPHENE_COMPILATION=1 \
	-DG_LOG_DOMAIN=\"Graphene\" \
	-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_30 \
	-DGLIB_VERSION_MAX_ALLOWED=GLIB_VERSION_2_32 \
	-I$(top_srcdir)/src \
	-I$(top_builddir)/src \
	$(GRAPHENE_DEBUG_CFLAGS)

libgraphene_1_0_la_CFLAGS = $(shared_cflags)
libgraphene_1_0_la_LIBADD = $(shared_libadd)
libgraphene_1_0_la_LDFLAGS = $(GRAPHENE_LDFLAGS) -export-dynamic
libgraphene_1_0_la_SOURCES = $(source_h) $(source_h_priv) $(source_c) $(source_c_priv) $(BUILT_SOURCES)
ASM_FILES = $(source_c:.c=.c.s) $(source_c_priv:.c=.c.s)

# headers
grapheneincludedir = $(includedir)/graphene-1.0
grapheneinclude_HEADERS = $(source_h) graphene.h
nodist_grapheneinclude_HEADERS = $(top_builddir)/src/graphene-version.h
pkgconfigdir = $(libdir)/pkgconfig
nodist_pkgconfig_DATA = graphene-1.0.pc $(am__append_7)
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@INTROSPECTION_GIRS = Graphene-1.0.gir
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@introspection_source_h = $(filter-out graphene-simd4f.h graphene-simd4x4f.h,$(source_h))
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@introspection_source_c = $(filter-out graphene-simd4f.c graphene-simd4x4f.c,$(source_c))
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@filter_cmd = "$(PYTHON3_PATH)" "$(top_srcdir)/src/identfilter.py"
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@Graphene_1_0_gir_SCANNERFLAGS = \
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@	    --identifier-filter-cmd="$(filter_cmd)" \
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@	    --accept-unprefixed \
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@            --c-include="graphene-gobject.h" \
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@	    --warn-all \
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@	    --pkg-export graphene-gobject-1.0

@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@Graphene_1_0_gir_NAMESPACE = Graphene
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@Graphene_1_0_gir_VERSION = 1.0
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@Graphene_1_0_gir_PACKAGES = gobject-2.0
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@Graphene_1_0_gir_INCLUDES = GObject-2.0
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@Graphene_1_0_gir_LIBS = libgraphene-1.0.la
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@Graphene_1_0_gir_CFLAGS = -DGRAPHENE_COMPILATION -I$(top_srcdir)/src -I$(top_builddir)/src
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@Graphene_1_0_gir_FILES = $(introspection_source_h) $(introspection_source_c)
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@girdir = $(datadir)/gir-1.0
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@nodist_gir_DATA = $(INTROSPECTION_GIRS)
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@typelibdir = $(libdir)/girepository-1.0
@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@nodist_typelib_DATA = $(INTROSPECTION_GIRS:.gir=.typelib)
all: $(BUILT_SOURCES) config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign src/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@test -f $@ || rm -f stamp-h1
	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status src/config.h
$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
graphene-version.h: $(top_builddir)/config.status $(srcdir)/graphene-version.h.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
	}

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; \
	locs=`for p in $$list; do echo $$p; done | \
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
	      sort -u`; \
	test -z "$$locs" || { \
	  echo rm -f $${locs}; \
	  rm -f $${locs}; \
	}

libgraphene-1.0.la: $(libgraphene_1_0_la_OBJECTS) $(libgraphene_1_0_la_DEPENDENCIES) $(EXTRA_libgraphene_1_0_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(libgraphene_1_0_la_LINK) -rpath $(libdir) $(libgraphene_1_0_la_OBJECTS) $(libgraphene_1_0_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-alloc.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-box.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-euler.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-frustum.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-gobject.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-matrix.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-plane.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-point.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-point3d.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-quad.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-quaternion.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-ray.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-rect.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-simd4f.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-simd4x4f.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-size.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-sphere.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-triangle.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgraphene_1_0_la-graphene-vectors.Plo@am__quote@

.c.o:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<

.c.obj:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<

libgraphene_1_0_la-graphene-alloc.lo: graphene-alloc.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-alloc.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-alloc.Tpo -c -o libgraphene_1_0_la-graphene-alloc.lo `test -f 'graphene-alloc.c' || echo '$(srcdir)/'`graphene-alloc.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-alloc.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-alloc.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-alloc.c' object='libgraphene_1_0_la-graphene-alloc.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-alloc.lo `test -f 'graphene-alloc.c' || echo '$(srcdir)/'`graphene-alloc.c

libgraphene_1_0_la-graphene-box.lo: graphene-box.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-box.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-box.Tpo -c -o libgraphene_1_0_la-graphene-box.lo `test -f 'graphene-box.c' || echo '$(srcdir)/'`graphene-box.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-box.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-box.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-box.c' object='libgraphene_1_0_la-graphene-box.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-box.lo `test -f 'graphene-box.c' || echo '$(srcdir)/'`graphene-box.c

libgraphene_1_0_la-graphene-euler.lo: graphene-euler.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-euler.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-euler.Tpo -c -o libgraphene_1_0_la-graphene-euler.lo `test -f 'graphene-euler.c' || echo '$(srcdir)/'`graphene-euler.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-euler.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-euler.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-euler.c' object='libgraphene_1_0_la-graphene-euler.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-euler.lo `test -f 'graphene-euler.c' || echo '$(srcdir)/'`graphene-euler.c

libgraphene_1_0_la-graphene-frustum.lo: graphene-frustum.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-frustum.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-frustum.Tpo -c -o libgraphene_1_0_la-graphene-frustum.lo `test -f 'graphene-frustum.c' || echo '$(srcdir)/'`graphene-frustum.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-frustum.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-frustum.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-frustum.c' object='libgraphene_1_0_la-graphene-frustum.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-frustum.lo `test -f 'graphene-frustum.c' || echo '$(srcdir)/'`graphene-frustum.c

libgraphene_1_0_la-graphene-matrix.lo: graphene-matrix.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-matrix.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-matrix.Tpo -c -o libgraphene_1_0_la-graphene-matrix.lo `test -f 'graphene-matrix.c' || echo '$(srcdir)/'`graphene-matrix.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-matrix.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-matrix.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-matrix.c' object='libgraphene_1_0_la-graphene-matrix.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-matrix.lo `test -f 'graphene-matrix.c' || echo '$(srcdir)/'`graphene-matrix.c

libgraphene_1_0_la-graphene-plane.lo: graphene-plane.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-plane.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-plane.Tpo -c -o libgraphene_1_0_la-graphene-plane.lo `test -f 'graphene-plane.c' || echo '$(srcdir)/'`graphene-plane.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-plane.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-plane.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-plane.c' object='libgraphene_1_0_la-graphene-plane.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-plane.lo `test -f 'graphene-plane.c' || echo '$(srcdir)/'`graphene-plane.c

libgraphene_1_0_la-graphene-point.lo: graphene-point.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-point.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-point.Tpo -c -o libgraphene_1_0_la-graphene-point.lo `test -f 'graphene-point.c' || echo '$(srcdir)/'`graphene-point.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-point.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-point.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-point.c' object='libgraphene_1_0_la-graphene-point.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-point.lo `test -f 'graphene-point.c' || echo '$(srcdir)/'`graphene-point.c

libgraphene_1_0_la-graphene-point3d.lo: graphene-point3d.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-point3d.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-point3d.Tpo -c -o libgraphene_1_0_la-graphene-point3d.lo `test -f 'graphene-point3d.c' || echo '$(srcdir)/'`graphene-point3d.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-point3d.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-point3d.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-point3d.c' object='libgraphene_1_0_la-graphene-point3d.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-point3d.lo `test -f 'graphene-point3d.c' || echo '$(srcdir)/'`graphene-point3d.c

libgraphene_1_0_la-graphene-quad.lo: graphene-quad.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-quad.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-quad.Tpo -c -o libgraphene_1_0_la-graphene-quad.lo `test -f 'graphene-quad.c' || echo '$(srcdir)/'`graphene-quad.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-quad.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-quad.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-quad.c' object='libgraphene_1_0_la-graphene-quad.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-quad.lo `test -f 'graphene-quad.c' || echo '$(srcdir)/'`graphene-quad.c

libgraphene_1_0_la-graphene-quaternion.lo: graphene-quaternion.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-quaternion.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-quaternion.Tpo -c -o libgraphene_1_0_la-graphene-quaternion.lo `test -f 'graphene-quaternion.c' || echo '$(srcdir)/'`graphene-quaternion.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-quaternion.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-quaternion.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-quaternion.c' object='libgraphene_1_0_la-graphene-quaternion.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-quaternion.lo `test -f 'graphene-quaternion.c' || echo '$(srcdir)/'`graphene-quaternion.c

libgraphene_1_0_la-graphene-ray.lo: graphene-ray.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-ray.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-ray.Tpo -c -o libgraphene_1_0_la-graphene-ray.lo `test -f 'graphene-ray.c' || echo '$(srcdir)/'`graphene-ray.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-ray.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-ray.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-ray.c' object='libgraphene_1_0_la-graphene-ray.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-ray.lo `test -f 'graphene-ray.c' || echo '$(srcdir)/'`graphene-ray.c

libgraphene_1_0_la-graphene-rect.lo: graphene-rect.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-rect.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-rect.Tpo -c -o libgraphene_1_0_la-graphene-rect.lo `test -f 'graphene-rect.c' || echo '$(srcdir)/'`graphene-rect.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-rect.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-rect.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-rect.c' object='libgraphene_1_0_la-graphene-rect.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-rect.lo `test -f 'graphene-rect.c' || echo '$(srcdir)/'`graphene-rect.c

libgraphene_1_0_la-graphene-simd4f.lo: graphene-simd4f.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-simd4f.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-simd4f.Tpo -c -o libgraphene_1_0_la-graphene-simd4f.lo `test -f 'graphene-simd4f.c' || echo '$(srcdir)/'`graphene-simd4f.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-simd4f.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-simd4f.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-simd4f.c' object='libgraphene_1_0_la-graphene-simd4f.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-simd4f.lo `test -f 'graphene-simd4f.c' || echo '$(srcdir)/'`graphene-simd4f.c

libgraphene_1_0_la-graphene-simd4x4f.lo: graphene-simd4x4f.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-simd4x4f.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-simd4x4f.Tpo -c -o libgraphene_1_0_la-graphene-simd4x4f.lo `test -f 'graphene-simd4x4f.c' || echo '$(srcdir)/'`graphene-simd4x4f.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-simd4x4f.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-simd4x4f.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-simd4x4f.c' object='libgraphene_1_0_la-graphene-simd4x4f.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-simd4x4f.lo `test -f 'graphene-simd4x4f.c' || echo '$(srcdir)/'`graphene-simd4x4f.c

libgraphene_1_0_la-graphene-size.lo: graphene-size.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-size.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-size.Tpo -c -o libgraphene_1_0_la-graphene-size.lo `test -f 'graphene-size.c' || echo '$(srcdir)/'`graphene-size.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-size.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-size.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-size.c' object='libgraphene_1_0_la-graphene-size.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-size.lo `test -f 'graphene-size.c' || echo '$(srcdir)/'`graphene-size.c

libgraphene_1_0_la-graphene-sphere.lo: graphene-sphere.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-sphere.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-sphere.Tpo -c -o libgraphene_1_0_la-graphene-sphere.lo `test -f 'graphene-sphere.c' || echo '$(srcdir)/'`graphene-sphere.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-sphere.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-sphere.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-sphere.c' object='libgraphene_1_0_la-graphene-sphere.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-sphere.lo `test -f 'graphene-sphere.c' || echo '$(srcdir)/'`graphene-sphere.c

libgraphene_1_0_la-graphene-triangle.lo: graphene-triangle.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-triangle.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-triangle.Tpo -c -o libgraphene_1_0_la-graphene-triangle.lo `test -f 'graphene-triangle.c' || echo '$(srcdir)/'`graphene-triangle.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-triangle.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-triangle.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-triangle.c' object='libgraphene_1_0_la-graphene-triangle.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-triangle.lo `test -f 'graphene-triangle.c' || echo '$(srcdir)/'`graphene-triangle.c

libgraphene_1_0_la-graphene-vectors.lo: graphene-vectors.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-vectors.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-vectors.Tpo -c -o libgraphene_1_0_la-graphene-vectors.lo `test -f 'graphene-vectors.c' || echo '$(srcdir)/'`graphene-vectors.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-vectors.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-vectors.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-vectors.c' object='libgraphene_1_0_la-graphene-vectors.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-vectors.lo `test -f 'graphene-vectors.c' || echo '$(srcdir)/'`graphene-vectors.c

libgraphene_1_0_la-graphene-gobject.lo: graphene-gobject.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -MT libgraphene_1_0_la-graphene-gobject.lo -MD -MP -MF $(DEPDIR)/libgraphene_1_0_la-graphene-gobject.Tpo -c -o libgraphene_1_0_la-graphene-gobject.lo `test -f 'graphene-gobject.c' || echo '$(srcdir)/'`graphene-gobject.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libgraphene_1_0_la-graphene-gobject.Tpo $(DEPDIR)/libgraphene_1_0_la-graphene-gobject.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='graphene-gobject.c' object='libgraphene_1_0_la-graphene-gobject.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgraphene_1_0_la_CPPFLAGS) $(CPPFLAGS) $(libgraphene_1_0_la_CFLAGS) $(CFLAGS) -c -o libgraphene_1_0_la-graphene-gobject.lo `test -f 'graphene-gobject.c' || echo '$(srcdir)/'`graphene-gobject.c

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-nodist_girDATA: $(nodist_gir_DATA)
	@$(NORMAL_INSTALL)
	@list='$(nodist_gir_DATA)'; test -n "$(girdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(girdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(girdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(girdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(girdir)" || exit $$?; \
	done

uninstall-nodist_girDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(nodist_gir_DATA)'; test -n "$(girdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(girdir)'; $(am__uninstall_files_from_dir)
install-nodist_pkgconfigDATA: $(nodist_pkgconfig_DATA)
	@$(NORMAL_INSTALL)
	@list='$(nodist_pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgconfigdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
	done

uninstall-nodist_pkgconfigDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(nodist_pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir)
install-nodist_typelibDATA: $(nodist_typelib_DATA)
	@$(NORMAL_INSTALL)
	@list='$(nodist_typelib_DATA)'; test -n "$(typelibdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(typelibdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(typelibdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(typelibdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(typelibdir)" || exit $$?; \
	done

uninstall-nodist_typelibDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(nodist_typelib_DATA)'; test -n "$(typelibdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(typelibdir)'; $(am__uninstall_files_from_dir)
install-grapheneincludeHEADERS: $(grapheneinclude_HEADERS)
	@$(NORMAL_INSTALL)
	@list='$(grapheneinclude_HEADERS)'; test -n "$(grapheneincludedir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(grapheneincludedir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(grapheneincludedir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(grapheneincludedir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(grapheneincludedir)" || exit $$?; \
	done

uninstall-grapheneincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(grapheneinclude_HEADERS)'; test -n "$(grapheneincludedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(grapheneincludedir)'; $(am__uninstall_files_from_dir)
install-nodist_configexecincludeHEADERS: $(nodist_configexecinclude_HEADERS)
	@$(NORMAL_INSTALL)
	@list='$(nodist_configexecinclude_HEADERS)'; test -n "$(configexecincludedir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(configexecincludedir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(configexecincludedir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(configexecincludedir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(configexecincludedir)" || exit $$?; \
	done

uninstall-nodist_configexecincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(nodist_configexecinclude_HEADERS)'; test -n "$(configexecincludedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(configexecincludedir)'; $(am__uninstall_files_from_dir)
install-nodist_grapheneincludeHEADERS: $(nodist_grapheneinclude_HEADERS)
	@$(NORMAL_INSTALL)
	@list='$(nodist_grapheneinclude_HEADERS)'; test -n "$(grapheneincludedir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(grapheneincludedir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(grapheneincludedir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(grapheneincludedir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(grapheneincludedir)" || exit $$?; \
	done

uninstall-nodist_grapheneincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(nodist_grapheneinclude_HEADERS)'; test -n "$(grapheneincludedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(grapheneincludedir)'; $(am__uninstall_files_from_dir)

# This directory's subdirectories are mostly independent; you can cd
# into them and run 'make' without going through this Makefile.
# To change the values of 'make' variables: instead of editing Makefiles,
# (1) if the variable is set in 'config.status', edit 'config.status'
#     (which will cause the Makefiles to be regenerated when you run 'make');
# (2) otherwise, pass the desired values on the 'make' command line.
$(am__recursive_targets):
	@fail=; \
	if $(am__make_keepgoing); then \
	  failcom='fail=yes'; \
	else \
	  failcom='exit 1'; \
	fi; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-recursive
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-recursive

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-recursive

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    $(am__make_dryrun) \
	      || test -d "$(distdir)/$$subdir" \
	      || $(MKDIR_P) "$(distdir)/$$subdir" \
	      || exit 1; \
	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
	    $(am__relativize); \
	    new_distdir=$$reldir; \
	    dir1=$$subdir; dir2="$(top_distdir)"; \
	    $(am__relativize); \
	    new_top_distdir=$$reldir; \
	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
	    ($(am__cd) $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$new_top_distdir" \
	        distdir="$$new_distdir" \
		am__remove_distdir=: \
		am__skip_length_check=: \
		am__skip_mode_fix=: \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-recursive
all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) config.h
installdirs: installdirs-recursive
installdirs-am:
	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(girdir)" "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(typelibdir)" "$(DESTDIR)$(grapheneincludedir)" "$(DESTDIR)$(configexecincludedir)" "$(DESTDIR)$(grapheneincludedir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-recursive

clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
	mostlyclean-am

distclean: distclean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-hdr distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

html-am:

info: info-recursive

info-am:

install-data-am: install-grapheneincludeHEADERS install-nodist_girDATA \
	install-nodist_grapheneincludeHEADERS \
	install-nodist_pkgconfigDATA install-nodist_typelibDATA

install-dvi: install-dvi-recursive

install-dvi-am:

install-exec-am: install-libLTLIBRARIES \
	install-nodist_configexecincludeHEADERS

install-html: install-html-recursive

install-html-am:

install-info: install-info-recursive

install-info-am:

install-man:

install-pdf: install-pdf-recursive

install-pdf-am:

install-ps: install-ps-recursive

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-grapheneincludeHEADERS \
	uninstall-libLTLIBRARIES \
	uninstall-nodist_configexecincludeHEADERS \
	uninstall-nodist_girDATA \
	uninstall-nodist_grapheneincludeHEADERS \
	uninstall-nodist_pkgconfigDATA uninstall-nodist_typelibDATA

.MAKE: $(am__recursive_targets) all check install install-am \
	install-strip

.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
	check-am clean clean-generic clean-libLTLIBRARIES \
	clean-libtool cscopelist-am ctags ctags-am distclean \
	distclean-compile distclean-generic distclean-hdr \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-grapheneincludeHEADERS install-html \
	install-html-am install-info install-info-am \
	install-libLTLIBRARIES install-man \
	install-nodist_configexecincludeHEADERS install-nodist_girDATA \
	install-nodist_grapheneincludeHEADERS \
	install-nodist_pkgconfigDATA install-nodist_typelibDATA \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	installdirs-am maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
	uninstall-am uninstall-grapheneincludeHEADERS \
	uninstall-libLTLIBRARIES \
	uninstall-nodist_configexecincludeHEADERS \
	uninstall-nodist_girDATA \
	uninstall-nodist_grapheneincludeHEADERS \
	uninstall-nodist_pkgconfigDATA uninstall-nodist_typelibDATA

.PRECIOUS: Makefile

graphene-config-stamp: ../config.status
	$(AM_V_GEN) cd $(top_builddir) && \
	  $(SHELL) ./config.status src/graphene-config.h
	@touch graphene-config-stamp

%.c.s: %.c
	$(CC) -DGRAPHENE_COMPILATION=1 $(shared_cflags) -I$(top_srcdir)/src -I$(top_builddir)/src -S -o $(@F) $<
asm: $(source_c) $(source_c_priv) $(ASM_FILES)
.PHONY: asm

@BUILD_GOBJECT_TRUE@-include $(INTROSPECTION_MAKEFILE)

@BUILD_GOBJECT_TRUE@@HAVE_INTROSPECTION_TRUE@Graphene-1.0.gir: libgraphene-1.0.la $(top_srcdir)/src/identfilter.py Makefile

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
